// pages/upDownSubmit/index.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    str:'&emsp;',
    loginStatus: wx.getStorageSync('loginStatus') ? wx.getStorageSync('loginStatus') : false,
    roleCodeList: wx.getStorageSync('roleCodeList') ? wx.getStorageSync('roleCodeList') : '',
    searchVal: '',
    
    //分页
    limit: 10,
    requestStatu: '加载中...',
    page: 1,
    totalPages: 1,
    more: false,
    nomore: '',
    resData:[],

    show: false, //弹窗
    qxnumber:'',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    const roleCodeList = wx.getStorageSync('roleCodeList')
    let loginStatus = wx.getStorageSync('loginStatus')
    this.setData({
      searchVal: '',
      roleCodeList: roleCodeList ? roleCodeList : '',
      loginStatus: loginStatus ? loginStatus : false
    })
    if(wx.getStorageSync('loginStatus')){
      this.getListFun();
    }
  },

  //页面跳转
  toLink: function (e) {
    let { url } = e.currentTarget.dataset
    wx.navigateTo({
      url: url
    })
  },

  //搜索框请求S
  onChange(e) {
    this.setData({
      searchVal: e.detail,
    });
  },
  onSearch: function (event) {
    this.setData({
      searchVal: event.detail
    })
    this.getListFun();
  },
  onCancel: function () {
    this.setData({})
  },
  toSearch: function (event) {
    this.getListFun();
  },

  //列表
  getListFun: function () {
    this.setData({
      page: 1
    })
    let params = {
      current: this.data.page,
      size: this.data.limit,
      licenseNumber:this.data.searchVal
    }
    app.request.pageFirst({
      url: app.API.appointmentPage,
      page: this,
      params: params,
    })
  },

  // 起卸填报弹窗S
  showPopup(e) {
    let { id } = e.currentTarget.dataset
    this.setData({
      show: true,
      qxnumber: '',
      id: id,
    });
    /*wx.navigateTo({
      url: '/pages/appointment/review?id='+e.currentTarget.dataset.id
    })*/
  },
  onClose() {
    this.setData({
      show: false,
      qxnumber:'',
      id: ''
    });
  },
  //起卸填报
  formSubmit: function (e) {
    let formData = e.detail.value;
    var warn = ""; //弹框时提示的内容
    if (formData.qxnumber == '') {
      warn = "请输入起卸数量！";
    }
    if (warn != '') {
      app.util.checkForm(warn);
    } else {
      app.request.POST({
        url: app.API.orderAudit,
        params: formData,
        page: this,
        isLoadingTxt: '填报中...',
        successFun: true
      }).then(res => {
        wx.showToast({
          title: '填报成功',
          icon: 'success',
          duration: 1000,
          mask: true
        })
        this.onClose()
        this.getListFun(); //刷新列表
      })
    }
  },
  // 起卸填报弹窗E

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    this.setData({
      searchVal: ''
    })
    if (wx.getStorageSync('loginStatus')) {
      this.getListFun();
    } else {
      wx.stopPullDownRefresh();
    }
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    this.data.page++;
    let params = {
      current: this.data.page,
      size: this.data.limit,
      licenseNumber:this.data.searchVal,
    }
    app.request.pageOther({
      url: app.API.appointmentPage,
      page: this,
      params: params,
      loadType: true //加载类型，是否是下拉加载
    });
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})